Summary: Utilities for monitoring process activities.
Name: psacct
Version: 6.3.2
Release: 1.3.0
Copyright: GPL
Group: Applications/System
Source: ftp://prep.ai.mit.edu/pub/gnu/acct-6.3.2.tar.gz
Source1: pacct.init
Source2: pacct.log
Patch0: acct-6.3.2-config-gd-1.diff
Buildroot: %{_tmppath}/psacct-root
Prereq: /sbin/install-info
BuildRequires: autoconf

%description
The psacct package contains several utilities for monitoring process
activities, including ac, lastcomm, accton and sa.  The ac command
displays statistics about how long users have been logged on.  The
lastcomm command displays information about previous executed
commands.  The accton command turns process accounting on or off.  The
sa command summarizes information about previously executed commmands.

Install the psacct package if you'd like to use its utilities for
monitoring process activities on your system.

%prep
%setup -q -n acct-%{version}
%patch -p1 -b .config

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
	--mandir=%{_mandir} --infodir=%{_infodir}

sed -e "s/\/\* #undef HAVE_LINUX_ACCT_H \*\//#define HAVE_LINUX_ACCT_H/" config.h > config.h.new
mv -f config.h.new config.h
touch texinfo.tex
CFLAGS="$RPM_OPT_FLAGS" make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr,var/log}
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d

make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/bin
for i in ac lastcomm; do
  install -m 750 $RPM_BUILD_ROOT/usr/bin/$i $RPM_BUILD_ROOT/bin/$i
  rm -f $RPM_BUILD_ROOT/usr/bin/$i
done

mkdir -p $RPM_BUILD_ROOT/sbin
for i in accton dump-acct dump-utmp sa; do
  install -m 750 $RPM_BUILD_ROOT/usr/sbin/$i $RPM_BUILD_ROOT/sbin/$i
  rm -f $RPM_BUILD_ROOT/usr/sbin/$i
done

install -m 750 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/pacct
install -m 640 %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/pacct
gzip -9 $RPM_BUILD_ROOT%{_infodir}/accounting.info

( cd $RPM_BUILD_ROOT
  :> ./var/log/pacct
  :> ./var/log/usracct
  :> ./var/log/savacct
)


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/accounting.info.gz /usr/info/dir --entry="* accounting: (accounting).            The GNU Process Accounting Suite."
fi

%files
%defattr(-,root,root)
%attr(0640,root,admin)	%config /var/log/pacct
%attr(0640,root,admin)	%config /var/log/usracct
%attr(0640,root,admin)	%config /var/log/savacct
%attr(0750,root,admin)	/sbin/accton
%attr(0750,root,admin)	/sbin/sa
%attr(0750,root,admin)	/sbin/dump-acct
%attr(0750,root,admin)	/sbin/dump-utmp
%attr(0750,root,admin)	/bin/ac
%attr(0750,root,admin)	/bin/lastcomm
%attr(0750,root,admin)	/etc/init.d/pacct
%attr(0640,root,admin)	/etc/logrotate.d/pacct
%doc %{_mandir}/man1/ac.1*
%doc %{_mandir}/man1/lastcomm.1*
%doc %{_mandir}/man8/sa.8*
%doc %{_mandir}/man8/accton.8*
%doc %{_infodir}/accounting.info.gz

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 04 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.3.2, Release 1.5.1
  - Patch fixes.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Sep 11 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.3.2, Release 1.1.1
  - Turn off by issuing "accton" with no arguments in initscript (Closes #102).

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.3.2, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Thu Mar 29 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.3.2, Release 1.0.5
  - Updated initscript.

* Tue Mar 27 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.3.2, Release 1.0.4
  - Moved stuff out of /usr into /.

* Sun Nov 19 2000 Dave Wreski <dave@guardiandigital.com>
- FHS changes (%doc)
- remove legacy stuff (symlinks to /usr/sbin)
- created /var/log/*acct
- permission changes on /var/log/*acct

* Thu Oct 26 2000 Pete O'Hara <pete@guardiandigital.com>
- moved /etc/rc.d/* to /etc

* Wed Jul 05 2000 Pete O'Hara <pete@guardiandigital.com>
- took away world access to /usr/sbin/accton, sa, 
	dump-acct, lastcomm utitlities for GUARDIAN
	DIGITAL Lockbox
- created init.d/pacct  and logrotate.d/pacct

